org.apache.cassandra.db.rows

## Class ComplexColumnData.Builder

- java.lang.Object
- - org.apache.cassandra.db.rows.ComplexColumnData.Builder

Enclosing class:
  ComplexColumnData

    public static class ComplexColumnData.Builder
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Builder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addCell(Cell cell)`
`void` `addComplexDeletion(DeletionTime complexDeletion)`
`ComplexColumnData` `build()`
`void` `newColumn(ColumnDefinition column)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder()

### Method Detail

#### newColumn

    public void newColumn(ColumnDefinition column)

#### addComplexDeletion

    public void addComplexDeletion(DeletionTime complexDeletion)

#### addCell

    public void addCell(Cell cell)

#### build

    public ComplexColumnData build()